Subject: Re: bug#12044: 24.1; ls does not support --dired

From: Peter Dyballa <[email-masked]>
Date: Mon, 30 Jul 2012 23:07:42 +0200

Am 30.07.2012 um 20:53 schrieb Glenn Morris:

> Peter Dyballa wrote:
> 
>>> Please give the details of how it "fails to work".
>> 
>> It reports
>> 
>> 	ls does not support --dired; see `dired-use-ls-dired' for more details.
> 
> And when you read the documentation of dired-use-ls-dired, what was
> unclear?

Most. The documentation starts with:

	dired-use-ls-dired is a variable defined in `dired.el'.
	Its value is nil
	Original value was unspecified

So GNU Emacs started with a promising value, "unspecified". It then found that ls is not right, and it then did not find – or search for – gls, because "unspecified" was reset to nil. Why did it so? What is the reason for the failure? In GNU Emacs 24.0.50 

> 
>> Previously I could simply
>> 
>> 	(setq dired-use-ls-dired "gls --dired")
> 
> Why would you do this? It is a boolean option.

Maybe I thought it would teach GNU Emacs to use the right programme. Probably I found this was faulty because the line is commented with a ";" – and no text in my init file. What seemed to have worked once (in GNU Emacs < 24) are these two lines from my site init file:

	(setq ls-lisp-use-insert-directory-program t)
	(setq insert-directory-program "gls")

--
Greetings

  Pete

There's something the technicians need to learn from the artists. If it isn't aesthetically pleasing, it's probably wrong.